## visad.data.dods
Class ByteAttributeAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.AttributeAdapter
              visad.data.dods.NumericAttributeAdapter
                  visad.data.dods.FloatAttributeAdapter
                      visad.data.dods.Int32AttributeAdapter
                          visad.data.dods.ByteAttributeAdapter

public class ByteAttributeAdapter
extends Int32AttributeAdapter

Provides support for adapting a DODS `Attribute.BYTE` attribute to the VisAD data-import context.

Instances are immutable.

Constructor Summary
`ByteAttributeAdapter(String name, Attribute attr)` Constructs from a name and an appropriate attribute.

Methods inherited from class visad.data.dods.Int32AttributeAdapter
`floatValue`

Methods inherited from class visad.data.dods.FloatAttributeAdapter
`number, visadSet`

Methods inherited from class visad.data.dods.NumericAttributeAdapter
`data, getAttributeName, getRealType`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteAttributeAdapter

    public ByteAttributeAdapter(String name,
                                Attribute attr)
                         throws VisADException

  Constructs from a name and an appropriate attribute.

Parameters:
  `name` - The name of the attribute.
  `attr` - The attribute. Must have the appropriate type.
Throws:
  `VisADException` - VisAD failure. Probably the attribute has an inappropriate type.